Summary:	Prelude Hybrid Intrusion Detection System Manager
Name:		prelude-manager
Version:	0.9.5
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.prelude-ids.org/
Source0:	http://www.prelude-ids.org/download/releases/%{name}-%{version}.tar.gz
Source1:	http://www.prelude-ids.org/download/releases/%{name}-%{version}.tar.gz.sig
Source2:	prelude-manager.init.bz2
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRequires:	libxml2-devel
BuildRequires:	libprelude-devel => 0.9.9
BuildRequires:	libpreludedb-devel => 0.9.1
BuildRequires:	tcp_wrappers-devel => 7.6-27mdk
BuildRequires:	libgnutls-devel
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	prelude-tools
Requires:	tcp_wrappers
Provides:	prelude = %{version}-%{release}
Obsoletes:	prelude >= 0.4.2 prelude-doc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Prelude Manager is the main program of the Prelude Hybrid IDS
suite. It is a multithreaded server which handles connections from
the Prelude sensors. It is able to register local or remote
sensors, let the operator configure them remotely, receive alerts,
and store alerts in a database or any format supported by
reporting plugins, thus providing centralized logging and
analysis. It also provides relaying capabilities for failover and
replication. The IDMEF standard is used for alert representation.
Support for filtering plugins allows you to hook in different
places in the Manager to define custom criteria for alert relaying
and logging. 

%package	db-plugin
Summary:	Database report plugin for Prelude IDS Manager
Group:		System/Servers
Requires:	%{name} = %{version}

%description	db-plugin
Prelude Manager is the main program of the Prelude Hybrid IDS
suite. It is a multithreaded server which handles connections from
the Prelude sensors. It is able to register local or remote
sensors, let the operator configure them remotely, receive alerts,
and store alerts in a database or any format supported by
reporting plugins, thus providing centralized logging and
analysis. It also provides relaying capabilities for failover and
replication. The IDMEF standard is used for alert representation.
Support for filtering plugins allows you to hook in different
places in the Manager to define custom criteria for alert relaying
and logging.

This plugin authorize prelude-manager to write to database

%package	xml-plugin
Summary:	XML report plugin for Prelude IDS Manager
Group:		System/Servers
Requires:	%{name} = %{version}

%description	xml-plugin
Prelude Manager is the main program of the Prelude Hybrid IDS
suite. It is a multithreaded server which handles connections from
the Prelude sensors. It is able to register local or remote
sensors, let the operator configure them remotely, receive alerts,
and store alerts in a database or any format supported by
reporting plugins, thus providing centralized logging and
analysis. It also provides relaying capabilities for failover and
replication. The IDMEF standard is used for alert representation.
Support for filtering plugins allows you to hook in different
places in the Manager to define custom criteria for alert relaying
and logging.

This plugin adds XML logging capabilities to the Prelude IDS
Manager.

%package	devel
Summary:	Libraries, includes, etc. to develop Prelude IDS Manager plugins
Group:		Development/C
Requires:	%{name} = %{version}

%description	devel
Prelude Manager is the main program of the Prelude Hybrid IDS
suite. It is a multithreaded server which handles connections from
the Prelude sensors. It is able to register local or remote
sensors, let the operator configure them remotely, receive alerts,
and store alerts in a database or any format supported by
reporting plugins, thus providing centralized logging and
analysis. It also provides relaying capabilities for failover and
replication. The IDMEF standard is used for alert representation.
Support for filtering plugins allows you to hook in different
places in the Manager to define custom criteria for alert relaying
and logging.

Install this package if you want to build Prelude IDS Manager
Plugins.

%prep

%setup -q

# logdir hack
perl -pi -e "s|\@prefix\@/var/log/|/var/log/%{name}/|g" %{name}.conf*

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

bzcat %{SOURCE2} > prelude-manager.init

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal-1.7 -I m4 -I libmissing/m4; automake-1.7 --add-missing --copy --foreign; autoconf

%configure2_5x \
    --enable-static \
    --enable-shared \
    --localstatedir=/var \
    --with-libprelude-prefix=%{_prefix} \
    --with-libgnutls-prefix=%{_prefix} \
    --with-libpreludedb-prefix=%{_prefix} \
    --with-xml-prefix=%{_prefix} \
    --with-xml-exec-prefix=%{_prefix} 

# fix linkage to the shared wrapper libs
find -name "Makefile" | xargs perl -pi -e "s|^LIBWRAP_LIBS.*|LIBWRAP_LIBS = -L%{_libdir} -lwrap -lnsl|g"
find -name "Makefile" | xargs perl -pi -e "s|-L%{_libdir} %{_libdir}/libwrap\.a -lnsl|-L%{_libdir} -lwrap -lnsl|g"

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/%{name}/decodes
install -d %{buildroot}/var/run/%{name}

%makeinstall_std

# install init script
install -d %{buildroot}%{_initrddir}
install -m0755 %{name}.init %{buildroot}%{_initrddir}/%{name}

# fix logrotate stuff
install -d %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} << EOF
/var/log/%{name}/prelude.log {
    missingok
    postrotate
        [ -f /var/lock/subsys/%{name} ] && %{_initrddir}/%{name} restart
    endscript
}
EOF

# make the logdir
install -d %{buildroot}/var/log/%{name}
touch %{buildroot}/var/log/%{name}/prelude.log

# fix a README.urpmi
cat > README.urpmi << EOF

In order to start the prelude-manager service you must configure 
it first. This is not done automatically. To make a basic file 
configuration please run:

prelude-adduser add prelude-manager --uid 0 --gid 0

EOF

%post
%_post_service %{name}
touch /var/log/prelude-manager/prelude.log

%preun
%_preun_service %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING.README NEWS README README.urpmi
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}/*.conf
%attr(0755,root,root) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/decodes
%dir %{_libdir}/%{name}/filters
%dir %{_libdir}/%{name}/reports
%{_libdir}/%{name}/filters/idmef-criteria.so
%{_libdir}/%{name}/reports/debug.so
%{_libdir}/%{name}/reports/relaying.so
%{_libdir}/%{name}/reports/textmod.so
%{_libdir}/%{name}/decodes/normalize.so
%attr(0750,root,root) %dir /var/spool/%{name}
%dir /var/log/%{name}
%dir /var/run/%{name}
%ghost %attr(0664,root,root) /var/log/%{name}/prelude.log

%files db-plugin
%defattr(-,root,root)
%{_libdir}/%{name}/reports/db.so

%files xml-plugin
%defattr(-,root,root)
%{_libdir}/%{name}/reports/xmlmod.so
%{_datadir}/%{name}/xmlmod/idmef-message.dtd

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING.README NEWS README
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}/filters/*.a
%{_libdir}/%{name}/filters/*.la
%{_libdir}/%{name}/reports/*.a
%{_libdir}/%{name}/reports/*.la
%{_libdir}/%{name}/decodes/normalize.a
%{_libdir}/%{name}/decodes/normalize.la

%changelog
* Thu Jun 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2007.0
- 0.9.5 (Major bugfixes)

* Wed Mar 29 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4.1-1mdk
- 0.9.4.1 (Major bugfixes)

* Sat Mar 18 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4-1mdk
- 0.9.4 (Major bugfixes)

* Thu Feb 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-2mdk
- fix deps (#21080)

* Thu Feb 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-1mdk
- 0.9.3 (Major bugfixes)

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdk
- 0.9.2 (Major bugfixes)

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-2mdk
- fix deps

* Tue Jan 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdk
- 0.9.1

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.10-5mdk
- rebuilt against openssl-0.9.8a

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.10-4mdk
- rebuilt against MySQL-5.0.15

* Wed Apr 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.10-3mdk
- rebuilt against new postgresql libs

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.10-2mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs
- fix conflicting declaration with MySQL-4.1.x
- fix deps

* Mon Jul 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-1mdk
- 0.8.10
- add docs
- drop P0 & P1 (fixed upstream)

* Sat Oct 25 2003 Stefan van der Eijk <stefan@eijk.nu> 0.8.7-3mdk
- BuildRequires

* Tue Sep 09 2003 Florin Grad <florin@mandrakesoft.com> 0.8.7-2mdk
- use the modified libprelude

* Mon Sep 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.7-1mdk
- initial cooker contrib, used parts from the spec file by Sylvain GIL 
- added new S1
- added P0 and P1

* Sun Jun 16 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.2-7mdk
- Work around pcap build on the Alpha.
- BuildRequires: libpcre-devel.

* Wed Sep 19 2001 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.4.2-6mdk

- require Prelude Report in order to not confuse the user.
- Doesn't require libpcap anymore

* Sun Sep 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.2-5mdk
- Fix some (French-like?) English. ;p
- Quiet untar of source so we don't get an ugly output on the screen.
- Don't list prelude.conf twice.
- Tag /etc/prelude as a directory.
- Don't use /var/tmp as the BuildRoot.

* Sun Sep 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.2-4mdk
- make the startup script more robust

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.2-3mdk
- added logrotate file
- all config => noreplace
- fixed initscript wrt to draknet
- prelude-report depends on prelude
- corrected the log dir location.

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.2-2mdk
- BuildRequires:	byacc flex libpcap-devel
- Copyright --> License
- replace RPM_SOURCE_DIR/prelude.init with SOURCE1 (rpmlint)

* Mon Aug 27 2001 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.4.2-1mdk

- Update to 0.4.2

* Thu Mar 29 2001 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.3-1mdk
- first packaging attempt.
